#!/usr/local/bin/bash

function generate_sr () {
	 rate=$[ 4000 + ($RANDOM * 2)  % 44001 ]
	 echo $rate
}

function report() {
    mail -s "$1" hodson@icir.org < /dev/null 2>/dev/null
}

tests=0
src=0
dst=0
trap 'echo "Interruped with src=$src dst=$dst" && kill 0' SIGINT

while [ 1 ] ; do
      src=`generate_sr`
      dst=`generate_sr`
      cmd="./tonegen -c 2 100 $src | ( ./feeder_rate_new  -m 10000000 -r -c 2 $src $dst 2>/dev/null ) | ./rms -c 2 $dst | awk -f random_test2.awk"
      eval $cmd 2>&1
      if [ $? -ne 0 ] ; then
	    report "Found bad rms with src=$src dst=$dst"
	    exit
      fi
      if [ -f ./feeder_rate_new.core ] ; then
	 report "Core dumped with src=$src dst=$dst"
	 rm ./feeder_rate_new.core
	 exit
      fi
      cat $0.dat | awk -f random_test2.awk
      printf "%5d Passed $cmd\n" $tests
      tests=$(( $tests + 1 ))
done