#!/bin/sh

DEV=1
BLKSZ=512
COUNT=500

trap "kill 0; exit 1" SIGINT

uname -a
cat /dev/sndstat | grep pcm${DEV}

for src in mic line ; do
    mixer -f /dev/mixer${DEV} recsrc ${src} > /dev/null 2>&1
    mixer -f /dev/mixer${DEV} rec 100 > /dev/null 2>&1
    echo "Source: ${src}"
    for channels in 1 2 ; do
	for rate in 8000 11025 16000 22050 32000 44100 48000 ; do
	    for bits in 8 16; do
		printf "\t rate = %5d channels = %d bps = %d, " ${rate} ${channels} ${bits}
		expected=`echo "${BLKSZ} ${COUNT} 8 * * ${bits} ${channels} ${rate} * * 4k / p" | dc`
		printf "expected time %.2f s" ${expected}
		( ./rawrec -f /dev/audio${DEV} -b ${bits} -c ${channels} $rate | dd count=${COUNT} of=/dev/null ) 2>stats.log
		actual=`cat stats.log | awk '/bytes transferred/ { print $5}'`
		printf ", actual %.2f s\n" ${actual}
	    done
	done
    done
done
